# spec file for mcpp / stand-alone-and-compiler-independent-build on fedora

Summary:    Alternative C/C++ preprocessor
Name:       mcpp
Version:    2.7
Release:    1%{?dist}
License:    BSD
Group:      Development/Languages
Source:     http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL:        http://mcpp.sourceforge.net/
Patch0:     mcpp-manual.html.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

%description
C/C++ preprocessor expands macros and processes '#if', '#include' and
some other directives.

MCPP is an alternative C/C++ preprocessor with the highest conformance,
implementated by Kiyoshi Matsui.  It supports multiple standards: K&R,
ISO C90, ISO C99, and ISO C++98.  MCPP is especially useful for
debugging the source program which use complicated macros and also
useful for checking portability of the source.

Though mcpp could be built as a replacement of GCC's resident
proprocessor or as a subroutine called from some other main program,
this package installs only a stand-alone program named 'mcpp' which
behaves independent from GCC.

%prep
%setup -q
%patch0 -p0 -b -z.euc-jp

%build
%configure
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
iconv -f euc-jp -t utf-8 doc-jp/mcpp-manual.html > doc-jp/mcpp-manual-jp.html
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%files
%defattr(-,root,root,-)
%doc    ChangeLog ChangeLog.old LICENSE NEWS README
%doc    doc/mcpp-manual.html
%lang(ja) %doc  doc-jp/mcpp-manual-jp.html
%{_datadir}/man/man1/%{name}.1.gz
%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 24 2008 Kiyoshi Matsui <kmatsui@t3.rim.or.jp> 2.7-1
- Upstream new release.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.6.4-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.6.4-2
- Rebuild for selinux ppc32 issue.

* Thu May 19 2007 Kiyoshi Matsui <kmatsui@t3.rim.or.jp> 2.6.4-1
- Upstream new release.

* Fri Apr 27 2007 Kiyoshi Matsui <kmatsui@t3.rim.or.jp> 2.6.3-5
- Apply the new patch (patch1) for mcpp.

* Wed Apr 25 2007 Kiyoshi Matsui <kmatsui@t3.rim.or.jp> 2.6.3-4
- Change installation of doc/mcpp-manual.html and doc-jp/mcpp-manual.html.

* Tue Apr 24 2007 Kiyoshi Matsui <kmatsui@t3.rim.or.jp> 2.6.3-3
- Revise many points to adapt to the guideline of Fedora (thanks to
        the review by Mamoru Tasaka):
    use %%dist, %%configure, %%optflags, %%{_datadir}, %%lang(ja),
    convert encoding of mcpp-manual.html to utf-8,
    and others.

* Sat Apr 21 2007 Kiyoshi Matsui <kmatsui@t3.rim.or.jp> 2.6.3-2
- Replace some variables with macros.
- Rename this spec file.

* Sat Apr 07 2007 Kiyoshi Matsui <kmatsui@t3.rim.or.jp> 2.6.3-1
- First release for V.2.6.3 on sourceforge.
